## gupnp-igd 1.2.0

=== meson_options.txt ===
option('introspection', type: 'boolean', value : true, description: 'Enable or disable GObject Introspection')
option('gtk_doc', type: 'boolean', value: 'false', description: 'Build GTK-Doc API documentation')

## gupnp-igd 0.1.7

=== debian/changelog ===
gupnp-igd (0.1.7-3) unstable; urgency=low

  * debian/watch: Fix URL pattern
  * debian/control:
    - Bump Standards-Version to 3.9.1 (no further changes)
    - Versionize python-all-dev build-dependency
  * d/p/0001-fix_crash_invalid_address.patch: Fix crash if gateway returns
    invalid address (Closes: #610398 LP: #704172)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 18 Jan 2011 23:40:27 +0100

gupnp-igd (0.1.7-2) unstable; urgency=low

  * Re-disable tests as it FTBFS on buildd
  * debian/python-gupnp-igd.install: Also install modules in python2.6 path

 -- Laurent Bigonville <bigon@debian.org>  Thu, 20 May 2010 19:01:08 +0200

gupnp-igd (0.1.7-1) unstable; urgency=low

  * New upstream release
    - Fix race in some conditions, should fix bug #568892
  * Use source format '3.0 (quilt)'
  * debian/rules: Enable test suite on build

 -- Laurent Bigonville <bigon@debian.org>  Thu, 20 May 2010 12:31:10 +0200

gupnp-igd (0.1.6-1) unstable; urgency=low

  * New upstream release
    - Bump build-dependencies and dependencies
    - Bump library soname and adjust .symbols file
    - Drop patch, applied upstream
  * debian/libgupnp-igd-1.0-dev.install: Add static library
  * Use new source package format "3.0 (quilt)"
  * Bump Standards-Version (no further changes)
  * Add python bindings

 -- Laurent Bigonville <bigon@debian.org>  Thu, 28 Jan 2010 20:59:52 +0100

gupnp-igd (0.1.3-4) unstable; urgency=low

  * Build depends on automake1.11 (Closes: #550427)
  * Bump Standards-Version (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 25 Oct 2009 16:44:32 +0100

gupnp-igd (0.1.3-3) unstable; urgency=low

  * debian/watch: Fix URL path
  * debian/control:
    - Fix spelling in description
    - Build-depends on automake instead of automake1.10 (Closes: #541529)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 15 Aug 2009 13:48:26 +0200

gupnp-igd (0.1.3-2) unstable; urgency=low

  * Add libgupnp-1.0-dev and libglib2.0-dev dependencies for
    libgupnp-igd-1.0-dev package

 -- Laurent Bigonville <bigon@debian.org>  Wed, 05 Aug 2009 12:48:50 +0200

gupnp-igd (0.1.3-1) unstable; urgency=low

  * Initial release (Closes: #533542)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 19 Jun 2009 11:42:18 +0200

=== debian/control ===
Source: gupnp-igd
Section: libs
Priority: optional
Maintainer: Laurent Bigonville <bigon@debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               python-support,
               libglib2.0-dev (>= 2.14),
               libgupnp-1.0-dev (>= 0.13.2),
               python-all-dev (>= 2.5),
               python-gobject-dev (>= 2.16),
               gtk-doc-tools
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Homepage: http://www.gupnp.org/
Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-igd.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gupnp-igd.git

Package: libgupnp-igd-1.0-3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to handle UPnP IGD port mapping
 A GObject-based API for controling UPnP Internet Gateway Devices
 port mapping.

Package: libgupnp-igd-1.0-dev
Architecture: any
Section: libdevel
Depends: libgupnp-igd-1.0-3 (= ${binary:Version}),
         libgupnp-1.0-dev (>= 0.13.2),
         libglib2.0-dev (>= 2.14),
         ${misc:Depends}
Description: library to handle UPnP IGD port mapping - development files
 A GObject-based API for controling UPnP Internet Gateway Devices
 port mapping.
 .
 This package contains the developpement files.

Package: libgupnp-igd-1.0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libgupnp-igd-1.0-3 (= ${binary:Version}), ${misc:Depends}
Description: library to handle UPnP IGD port mapping - debug symbols
 A GObject-based API for controling UPnP Internet Gateway Devices
 port mapping.
 .
 This package contains the debug symbols.

Package: libgupnp-igd-1.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: library to handle UPnP IGD port mapping - documentation
 A GObject-based API for controling UPnP Internet Gateway Devices
 port mapping.
 .
 This package contains the documentation.

Package: python-gupnp-igd
Architecture: any
Section: python
Provides: ${python:Provides}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: Python binding for the UPnP IGD port mapping library
 A GObject-based API for controling UPnP Internet Gateway Devices
 port mapping.
 .
 This package contains the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
common-binary-post-install-arch:: list-missing

binary-install/python-gupnp-igd::
	dh_pysupport -p$(cdbs_curpkg)

include $(CURDIR)/debian/update-patches.mk

## gupnp-igd 0.1.11

=== debian/changelog ===
gupnp-igd (0.1.11-1) unstable; urgency=low

  * New upstream release
  * debian/control: Let libgupnp-igd-1.0-dev depends against correct gir
    package
  * debian/patches/01_fix_makefile.patch,
    debian/patches/02_no_libpy_link.patch: Dropped, applied upstream

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 May 2011 00:42:41 +0200

gupnp-igd (0.1.10-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * Imported Upstream version 0.1.10
  * Drop 0001-fix_crash_invalid_address.patch, fixed upstream.
  * Update symbols for new upstream release.
  * Fix spelling error in package description (Thanks lintian).
  * Add GObject Introspection bindings.

  [ Laurent Bigonville ]
  * Use dh_python2 instead of pysupport
  * debian/control:
    - Bump cdbs and python-all-dev build-dependency
    - Drop python-support build-dependency
  * debian/rules:
    - Use python-autotools.mk instead of autotools.mk
    - Drop explicit dh_pysupport call
    - Add DEB_BUILDDIR variable
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Rely on cdbs to call dh_girepository
    - Include autoreconf.mk
  * debian/patches/01_fix_makefile.patch: Fix out-of-tree build
  * debian/patches/02_no_libpy_link.patch: Do not link against libpython

 -- Laurent Bigonville <bigon@debian.org>  Wed, 04 May 2011 23:23:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: libs
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.90~),
                debhelper (>= 7),
-               python-support,
+               dh-autoreconf,
                libglib2.0-dev (>= 2.14),
                libgupnp-1.0-dev (>= 0.13.2),
-               python-all-dev (>= 2.5),
+               python-all-dev (>= 2.6.6-3~),
                python-gobject-dev (>= 2.16),
+               gobject-introspection (>= 0.9.12-4~),
+               libgirepository1.0-dev (>= 0.9.12),
                gtk-doc-tools
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 Homepage: http://www.gupnp.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-igd.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gupnp-igd.git
@@ -29,12 +31,13 @@
 Depends: libgupnp-igd-1.0-3 (= ${binary:Version}),
          libgupnp-1.0-dev (>= 0.13.2),
          libglib2.0-dev (>= 2.14),
+         gir1.2-gupnpigd-1.0 (= ${binary:Version}),
          ${misc:Depends}
 Description: library to handle UPnP IGD port mapping - development files
  A GObject-based API for controling UPnP Internet Gateway Devices
  port mapping.
  .
- This package contains the developpement files.
+ This package contains the development files.
 
 Package: libgupnp-igd-1.0-dbg
 Architecture: any
@@ -64,9 +67,19 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends}
-XB-Python-Version: ${python:Versions}
 Description: Python binding for the UPnP IGD port mapping library
  A GObject-based API for controling UPnP Internet Gateway Devices
  port mapping.
  .
  This package contains the Python bindings.
+
+Package: gir1.2-gupnpigd-1.0
+Architecture: any
+Depends: ${misc:Depends}, ${gir:Depends}
+Description: GObject introspection data for the GUPnP IGD library
+ This package contains introspection data for GUPnP IGD, a UPnP
+ Internet Gateway Device library.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+Homepage: http://live.gnome.org/GObjectIntrospection

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR := debian/build

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-autotools.mk

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
common-binary-post-install-arch:: list-missing

include $(CURDIR)/debian/update-patches.mk

=== debian/watch ===
version=3
http://gupnp.org/download \
    http://gupnp.org/sites/all/files/sources/gupnp-igd-([0-9\.]*).tar.gz

## gupnp-igd 0.2.1

=== debian/changelog ===
gupnp-igd (0.2.1-2) unstable; urgency=low

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Fri, 16 Dec 2011 17:06:54 +0100

gupnp-igd (0.2.1-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * Imported Upstream version 0.2.1
    - works with gupnp 0.18
  * Bump gupnp build-dependency to >= 0.18
  * Rename package and update dependencies for new soname
  * debian/rules: enable gtk-doc in configure flags

  [ Laurent Bigonville ]
  * debian/libgupnp-igd-1.0-dev.install: Do not use brace expansion
  * debian/rules: Always bump shlibs file as we are using .symbols file anyway
  * debian/control: Move gir1.2-gupnpigd-1.0 to Section introspection
  * Follow multi-arch policy

 -- Laurent Bigonville <bigon@debian.org>  Wed, 07 Dec 2011 15:47:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Laurent Bigonville <bigon@debian.org>
-Build-Depends: cdbs (>= 0.4.90~),
-               debhelper (>= 7),
+Build-Depends: cdbs (>= 0.4.93~),
+               debhelper (>= 8.1.3~),
                dh-autoreconf,
                libglib2.0-dev (>= 2.14),
-               libgupnp-1.0-dev (>= 0.13.2),
+               libgupnp-1.0-dev (>= 0.18),
                python-all-dev (>= 2.6.6-3~),
                python-gobject-dev (>= 2.16),
                gobject-introspection (>= 0.9.12-4~),
@@ -18,9 +18,11 @@
 Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-igd.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gupnp-igd.git
 
-Package: libgupnp-igd-1.0-3
+Package: libgupnp-igd-1.0-4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: library to handle UPnP IGD port mapping
  A GObject-based API for controling UPnP Internet Gateway Devices
  port mapping.
@@ -28,7 +30,7 @@
 Package: libgupnp-igd-1.0-dev
 Architecture: any
 Section: libdevel
-Depends: libgupnp-igd-1.0-3 (= ${binary:Version}),
+Depends: libgupnp-igd-1.0-4 (= ${binary:Version}),
          libgupnp-1.0-dev (>= 0.13.2),
          libglib2.0-dev (>= 2.14),
          gir1.2-gupnpigd-1.0 (= ${binary:Version}),
@@ -43,7 +45,8 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libgupnp-igd-1.0-3 (= ${binary:Version}), ${misc:Depends}
+Depends: libgupnp-igd-1.0-4 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: library to handle UPnP IGD port mapping - debug symbols
  A GObject-based API for controling UPnP Internet Gateway Devices
  port mapping.
@@ -75,6 +78,7 @@
 
 Package: gir1.2-gupnpigd-1.0
 Architecture: any
+Section: introspection
 Depends: ${misc:Depends}, ${gir:Depends}
 Description: GObject introspection data for the GUPnP IGD library
  This package contains introspection data for GUPnP IGD, a UPnP

## gupnp-igd 0.2.2

=== debian/changelog ===
gupnp-igd (0.2.2-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * Update debian/watch for new location on ftp.gnome.org
  * Imported Upstream version 0.2.2

  [ Laurent Bigonville ]
  * debian/control:
    - Use canonical URL for VCS fields
    - Bump Standards-Version to 3.9.4 (no further changes)
  * debian/patches/01_link_gssdp.patch: Explicitly link against libgssdp-1.0

 -- Laurent Bigonville <bigon@debian.org>  Sat, 22 Jun 2013 16:44:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
                debhelper (>= 8.1.3~),
                dh-autoreconf,
                libglib2.0-dev (>= 2.14),
+               libgssdp-1.0-dev,
                libgupnp-1.0-dev (>= 0.18),
                python-all-dev (>= 2.6.6-3~),
                python-gobject-dev (>= 2.16),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                gtk-doc-tools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
 Homepage: http://www.gupnp.org/
-Vcs-Git: git://git.debian.org/git/collab-maint/gupnp-igd.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gupnp-igd.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/gupnp-igd.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gupnp-igd.git
 
 Package: libgupnp-igd-1.0-4
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 DEB_BUILDDIR := debian/build
+
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+                             --enable-gtk-doc
 
 include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -10,4 +13,7 @@
 include /usr/share/cdbs/1/rules/utils.mk
 common-binary-post-install-arch:: list-missing
 
+DEB_DBG_PACKAGE_libgupnp-igd-1.0-4 := libgupnp-igd-1.0-dbg
+DEB_DH_MAKESHLIBS_ARGS_libgupnp-igd-1.0-4 += -V -- -c4
+
 include $(CURDIR)/debian/update-patches.mk

## gupnp-igd 0.2.3

=== debian/changelog ===
gupnp-igd (0.2.3-1) unstable; urgency=medium

  * New upstream release
    - Bump {build-}depdendency
    - Drop debian/patches/01_link_gssdp.patch: Applied upstream
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * debian/rules: Explicitly enable the python bidings

 -- Laurent Bigonville <bigon@debian.org>  Thu, 20 Feb 2014 23:09:10 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: cdbs (>= 0.4.93~),
                debhelper (>= 8.1.3~),
                dh-autoreconf,
-               libglib2.0-dev (>= 2.14),
+               libglib2.0-dev (>= 2.26),
                libgssdp-1.0-dev,
                libgupnp-1.0-dev (>= 0.18),
                python-all-dev (>= 2.6.6-3~),
@@ -13,7 +13,7 @@
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                gtk-doc-tools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.5
 Homepage: http://www.gupnp.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gupnp-igd.git
@@ -32,8 +32,8 @@
 Architecture: any
 Section: libdevel
 Depends: libgupnp-igd-1.0-4 (= ${binary:Version}),
-         libgupnp-1.0-dev (>= 0.13.2),
-         libglib2.0-dev (>= 2.14),
+         libgupnp-1.0-dev (>= 0.18),
+         libglib2.0-dev (>= 2.26),
          gir1.2-gupnpigd-1.0 (= ${binary:Version}),
          ${misc:Depends}
 Description: library to handle UPnP IGD port mapping - development files

## gupnp-igd 0.2.4

=== debian/changelog ===
gupnp-igd (0.2.4-2) unstable; urgency=medium

  * debian/control:
    - Switch from python-gobject-dev to python-gobject-2-dev, the former is a
      transitional package
    - Bump Standards-Version to 4.1.1 (no further changes)
    - Bump debhelper compatibility to 10
    - Fix spelling to please lintian: s/controling/controlling
    - Mark libgupnp-igd-1.0-dev as Multi-arch: same and libgupnp-igd-1.0-doc
      as Multi-arch: foreign
  * debian/patches/01_fix_ftbfs_gtkdoc.patch: Fix FTBFS with gtk-doc-tools
    1.26 (Closes: #876595)
  * Drop -dbg package and rely on the -dbgsyms one
  * Mark gir1.2-gupnpigd-1.0 package as Multi-arch: same
  * Switch to dh sequences instead of cdbs
  * debian/watch, debian/control: Use https instead of http

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Nov 2017 17:52:04 +0100

gupnp-igd (0.2.4-1) unstable; urgency=medium

  * New upstream release
    - debian/libgupnp-igd-1.0-4.symbols: Add new exported symbol
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 18 Oct 2014 10:21:14 +0200

=== debian/control ===
Source: gupnp-igd
Section: libs
Priority: optional
Maintainer: Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools (>= 1.10),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.26),
               libgssdp-1.0-dev,
               libgupnp-1.0-dev (>= 0.18),
               python-all-dev (>= 2.6.6-3~),
               python-gobject-2-dev (>= 2.16)
Standards-Version: 4.1.1
X-Python-Version: >= 2.5
Homepage: https://wiki.gnome.org/action/show/Projects/GUPnP
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gupnp-igd.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/gupnp-igd.git

Package: libgupnp-igd-1.0-4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: library to handle UPnP IGD port mapping
 A GObject-based API for controlling UPnP Internet Gateway Devices
 port mapping.

Package: libgupnp-igd-1.0-dev
Architecture: any
Section: libdevel
Depends: gir1.2-gupnpigd-1.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.26),
         libgupnp-1.0-dev (>= 0.18),
         libgupnp-igd-1.0-4 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: library to handle UPnP IGD port mapping - development files
 A GObject-based API for controlling UPnP Internet Gateway Devices
 port mapping.
 .
 This package contains the development files.

Package: libgupnp-igd-1.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-arch: foreign
Description: library to handle UPnP IGD port mapping - documentation
 A GObject-based API for controlling UPnP Internet Gateway Devices
 port mapping.
 .
 This package contains the documentation.

Package: python-gupnp-igd
Architecture: any
Section: python
Provides: ${python:Provides}
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Python binding for the UPnP IGD port mapping library
 A GObject-based API for controlling UPnP Internet Gateway Devices
 port mapping.
 .
 This package contains the Python bindings.

Package: gir1.2-gupnpigd-1.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GObject introspection data for the GUPnP IGD library
 This package contains introspection data for GUPnP IGD, a UPnP
 Internet Gateway Device library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
Homepage: http://live.gnome.org/GObjectIntrospection

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,gir

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
                             --enable-gtk-doc --enable-python

override_dh_strip:
	dh_strip --dbgsym-migration='libgupnp-igd-1.0-dbg (<< 0.2.4-2~)'

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

# Do not run the tests
override_dh_auto_test:

=== debian/watch ===
version=3
https://ftp.gnome.org/pub/GNOME/sources/gupnp-igd/([\d\.]+[24680])/ \
	gupnp-igd-(.*)\.tar\.xz

## gupnp-igd 0.2.5

=== debian/changelog ===
gupnp-igd (0.2.5-5) unstable; urgency=medium

  * Upload to unstable
  * debian/control.in: Add the needed -doc packages to the build-dependencies
    so the links between the documentation files are properly resolved
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)
  * debian/control.in: Make libgupnp-igd-1.0-dev depend against gupnp 1.2
  * debian/control.in: Mark the -doc package with Build-Profiles: <!nodoc>

 -- Laurent Bigonville <bigon@debian.org>  Tue, 31 Dec 2019 12:25:49 +0100

gupnp-igd (0.2.5-4) experimental; urgency=medium

  * Team upload.
  * Cherry-pick gssdp/gupnp 1.2 patch from
    https://gitlab.gnome.org/GNOME/gupnp-igd/merge_requests/1
  * Switch build-deps to gssdp/gupnp 1.2

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Oct 2019 23:45:39 +0200

gupnp-igd (0.2.5-3) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 09:43:21 -0500

gupnp-igd (0.2.5-2) unstable; urgency=medium

  * Ignore build test failures again (Closes: #893110)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 19 Mar 2018 15:00:39 -0400

gupnp-igd (0.2.5-1) unstable; urgency=medium

  * New upstream release
  * Change Maintainer to Debian GNOME team
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Drop unused python-gupnp-igd package
  * Build-Depend on ca-certificates for build tests
  * Set XDG_RUNTIME_DIR for build tests
  * Drop patch: Applied in new release
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 14 Mar 2018 19:16:12 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gupnp-igd
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 11),
               ca-certificates <!nocheck>,
               gnome-pkg-tools,
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools (>= 1.10),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.26),
               libgssdp-1.2-dev,
               libgupnp-1.2-dev
Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgupnp-doc <!nodoc>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-igd.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-igd
Homepage: https://wiki.gnome.org/Projects/GUPnP

Package: libgupnp-igd-1.0-4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library to handle UPnP IGD port mapping
 A GObject-based API for controlling UPnP Internet Gateway Devices
 port mapping.

Package: libgupnp-igd-1.0-dev
Architecture: any
Section: libdevel
Depends: gir1.2-gupnpigd-1.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.26),
         libgupnp-1.2-dev,
         libgupnp-igd-1.0-4 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: library to handle UPnP IGD port mapping - development files
 A GObject-based API for controlling UPnP Internet Gateway Devices
 port mapping.
 .
 This package contains the development files.

Package: libgupnp-igd-1.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-arch: foreign
Description: library to handle UPnP IGD port mapping - documentation
 A GObject-based API for controlling UPnP Internet Gateway Devices
 port mapping.
 .
 This package contains the documentation.

Package: gir1.2-gupnpigd-1.0
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GObject introspection data for the GUPnP IGD library
 This package contains introspection data for GUPnP IGD, a UPnP
 Internet Gateway Device library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

CHECK_HOME = $(CURDIR)/debian/tmp/home

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		 --enable-gtk-doc

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='libgupnp-igd-1.0-dbg (<< 0.2.4-2~)'

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_test:
	mkdir -p $(CHECK_HOME)
	XDG_RUNTIME_DIR=$(CHECK_HOME) dh_auto_test || true

override_dh_clean:
	rm -rf $(CHECK_HOME)
	dh_clean

## gupnp-igd 1.2.0

=== debian/changelog ===
gupnp-igd (1.2.0-1build1) jammy; urgency=medium

  * No-change rebuild against libgupnp-1.2-1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 07:46:28 +0000

gupnp-igd (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * debian/control.in:
    - updated libglib build requirement, build with meson
  * debian/libgupnp-igd-1.0-4.symbols:
    - refreshed the list of symbols for the new version
  * debian/rules:
    - tweaked for the build system changes
  * debian/libgupnp-igd-1.0-dev.install:
    - remove the .a which isn't built anymore
  * Removed a patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 29 Sep 2020 16:08:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gupnp-igd
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 11),
                ca-certificates <!nocheck>,
@@ -13,9 +14,10 @@
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools (>= 1.10),
                libgirepository1.0-dev (>= 0.9.12),
-               libglib2.0-dev (>= 2.26),
+               libglib2.0-dev (>= 2.38),
                libgssdp-1.2-dev,
-               libgupnp-1.2-dev
+               libgupnp-1.2-dev,
+               meson,
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgupnp-doc <!nodoc>
 Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-igd.git
@@ -50,6 +52,7 @@
 Section: doc
 Depends: ${misc:Depends}
 Multi-arch: foreign
+Build-Profiles: <!nodoc>
 Description: library to handle UPnP IGD port mapping - documentation
  A GObject-based API for controlling UPnP Internet Gateway Devices
  port mapping.

=== debian/rules ===
--- 
+++ 
@@ -8,16 +8,9 @@
 %:
 	dh $@ --with gir,gnome
 
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
-
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		 --enable-gtk-doc
-
-override_dh_install:
-	find debian/tmp -name '*.la' -print -delete
-	dh_install
+		 -Dgtk_doc=true
 
 override_dh_missing:
 	dh_missing --fail-missing

## gupnp-igd 1.6.0

=== debian/changelog ===
gupnp-igd (1.6.0-4) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Add debian/upstream/metadata
  * Add ${gir:Depends} & ${gir:Provides} to -dev package
  * Bump Standards Version to 4.7.0
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 17:22:47 -0500

gupnp-igd (1.6.0-3) unstable; urgency=medium

  * Simplify debian/rules
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 06:02:53 -0400

gupnp-igd (1.6.0-2) experimental; urgency=medium

  * Add Breaks/Replaces for -doc package rename (Closes: #1039481)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Jul 2023 08:57:33 -0400

gupnp-igd (1.6.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update package names for API bump
  * debian/control.in: Bump minimum gssdp, gupnp & glib versions
  * debian/control.in: Set Rules-Requires-Root: no
  * debian/copyright: Switch to 1.0 format
  * Drop all patches: applied in new release

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Add debian/upstream/metadata
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Drop transition for old debug package migration
  * Update standards version to 4.6.2, no changes needed.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Jun 2023 12:35:50 -0400

gupnp-igd (1.2.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (See #1022003)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 30 Oct 2022 15:05:58 +0100

gupnp-igd (1.2.0-2) experimental; urgency=medium

  * Team upload.
  * Add patches cherry-picked from upstream for gupnp-1.6
  * Change gssdp/gupnp build-deps to 1.6

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 28 Oct 2022 22:53:45 +0200

=== debian/control ===
Source: gupnp-igd
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               ca-certificates <!nocheck>,
               dh-sequence-gir,
               gtk-doc-tools (>= 1.10),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.70),
               libgssdp-1.6-dev (>= 1.6),
               libgupnp-1.6-dev (>= 1.6),
               meson,
Build-Depends-Indep: libglib2.0-doc <!nodoc>, libgupnp-doc <!nodoc>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/gnome-team/gupnp-igd.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gupnp-igd
Homepage: https://wiki.gnome.org/Projects/GUPnP

Package: libgupnp-igd-1.6-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: library to handle UPnP IGD port mapping
 A GObject-based API for controlling UPnP Internet Gateway Devices
 port mapping.

Package: libgupnp-igd-1.6-dev
Architecture: any
Section: libdevel
Depends: gir1.2-gupnpigd-1.6 (= ${binary:Version}),
         libglib2.0-dev (>= 2.26),
         libgupnp-1.6-dev,
         libgupnp-igd-1.6-0 (= ${binary:Version}),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Multi-Arch: same
Description: library to handle UPnP IGD port mapping - development files
 A GObject-based API for controlling UPnP Internet Gateway Devices
 port mapping.
 .
 This package contains the development files.

Package: libgupnp-igd-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: libgupnp-igd-1.0-doc (<< 1.6)
Replaces: libgupnp-igd-1.0-doc (<< 1.6)
Multi-Arch: foreign
Description: library to handle UPnP IGD port mapping - documentation
 A GObject-based API for controlling UPnP Internet Gateway Devices
 port mapping.
 .
 This package contains the documentation.

Package: gir1.2-gupnpigd-1.6
Architecture: any
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}
Multi-Arch: same
Description: GObject introspection data for the GUPnP IGD library
 This package contains introspection data for GUPnP IGD, a UPnP
 Internet Gateway Device library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		 -Dgtk_doc=true

override_dh_auto_test:
	dh_auto_test || true
